Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.web
Class PageableArgumentResolver

    java.lang.Object
      org.springframework.data.web.PageableArgumentResolver

All Implemented Interfaces:
  WebArgumentResolver

    public class PageableArgumentResolver

extends Object
implements WebArgumentResolver

Extracts paging information from web requests and thus allows injecting `Pageable` instances into controller methods. Request properties to be parsed can be configured. Default configuration uses request properties beginning with `DEFAULT_PREFIX` `DEFAULT_SEPARATOR`.

Author:
  Oliver Gierke

Field Summary

Fields inherited from interface org.springframework.web.bind.support.WebArgumentResolver
`UNRESOLVED`

Constructor Summary
`PageableArgumentResolver()`

Method Summary
`Object` | `resolveArgument(MethodParameter methodParameter, NativeWebRequest webRequest)`
`void` | `setFallbackPagable(Pageable fallbackPagable)` Setter to configure a fallback instance of `Pageable` that is being used to back missing parameters.
`void` | `setPrefix(String prefix)` Setter to configure the prefix of request parameters to be used to retrieve paging information.
`void` | `setSeparator(String separator)` Setter to configure the separator between prefix and actual property value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageableArgumentResolver

    public PageableArgumentResolver()

Method Detail

### setFallbackPagable

    public void setFallbackPagable(Pageable fallbackPagable)

  Setter to configure a fallback instance of `Pageable` that is being used to back missing parameters. Defaults to .

  Parameters:
    `fallbackPagable` - the fallbackPagable to set

### setPrefix

    public void setPrefix(String prefix)

  Setter to configure the prefix of request parameters to be used to retrieve paging information. Defaults to `DEFAULT_PREFIX`.

  Parameters:
    `prefix` - the prefix to set

### setSeparator

    public void setSeparator(String separator)

  Setter to configure the separator between prefix and actual property value. Defaults to `DEFAULT_SEPARATOR`.

  Parameters:
    `separator` - the separator to set

### resolveArgument

    public Object resolveArgument(MethodParameter methodParameter,
                                  NativeWebRequest webRequest)

  Specified by:
    `resolveArgument` in interface `WebArgumentResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.